# PSF-LoginServer - master - net.psforever.objects.entity.WorldEntity
PSF - LoginServer - master - net.psforever.objects.entity.WorldEntity
Keywords: PSF LoginServer master net.psforever.objects.entity.WorldEntity

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package entity
  Definition Classes
    objects
- AssigningGUIDException
- GUIDException
- Identifiable
- IdentifiableEntity
- NoGUIDException
- SimpleWorldEntity
- WorldEntity

t

net.psforever.objects.entity

# WorldEntity 

###
Companion object WorldEntity

#### trait WorldEntity extends AnyRef

Source
  WorldEntity.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
FakeNtuSource, AmmoBox, BoomerDeployable, BoomerTrigger, CommonNtuContainer, ConstructionItem, ExplosiveDeployable, Kit, LocalLockerItem, LocalProjectile, NtuContainer, PlanetSideGameObject, Player, SensorDeployable, ShieldGeneratorDeployable, SimpleItem, Telepad, TelepadDeployable, Tool, TrapDeployable, TurretDeployable, Vehicle, DeployableSource, ObjectSource, PlayerSource, Projectile, SourceEntry, VehicleSource, BaseDeployable, Deployable, SimpleWorldEntity, Equipment, LockerContainer, LockerEquipment, PlanetSideServerObject, Door, GantryDenialField, PieceOfEnvironment, Pool, SeaLevel, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, AmenityOwner, Building, WarpGate, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, TransferContainer, SpawnTube, FacilityTurret, TurretAmmoBox, TurretWeapon, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility, InteractsWithZone, BlockMapEntity

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WorldEntity
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Orientation: Vector3
2.  abstract def Orientation_=(vec: Vector3): Vector3
3.  abstract def Position: Vector3
4.  abstract def Position_=(vec: Vector3): Vector3
5.  abstract def Velocity: Option[Vector3]
6.  abstract def Velocity_=(vec: Option[Vector3]): Option[Vector3]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Velocity_=(vec: Vector3): Option[Vector3]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

14.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

15.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped